package com.ibm.r2a.rules.rdj.examples.j2sebestpractices.constructors;


public class SuperConstructor_Example {
	
	public static class Base {
		public Base() {
			this( 10 );
		}
		public Base( int value ) {
			super();
			this.value = value;
		}
		public int getValue() {
			return value;
		}
		private int value;
	}

	public static class Derived extends Base  {
		public Derived( String str ) {
			this.str = str;
		}
		public Derived( String str, int size ) {
			this.str = str;
		}
		private String str;
	}

	public static void main( String[] args ) {
		Derived first = new Derived( "Hello World!" ); //$NON-NLS-1$
		System.out.println( first.getValue() );
		Derived second = new Derived( "Hello World!", 20 ); //$NON-NLS-1$
		System.out.println( second.getValue() );
	}
	
}
