package com.ibm.r2a.rules.rdj.examples.j2sebestpractices.serialization;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;

public class ReadWriteObject_Example {
	
	public static class SerializableObject implements Serializable{
		
		public void writeObject(ObjectOutputStream s) throws IOException {
		    s.defaultWriteObject();
		}

		public void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException  {
			s.defaultReadObject();
		}	
		
		static final long serialVersionUID = 123;
	}
	
}